/******************************************************************************
 ParseNoun.sc
 Contains parse strings for nouns, broken into two sections,
 representing the last 2 parts of an input 'sentence' - noun & second
 ******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script PARSENOUN_SCRIPT)

(use "main")
/******************************************************************************/
(procedure public (ParseNoun) 
    = nounSaidCnt UNSET 
    
    (if(Said('*/tree[<(tall,dark)]>'))
	   = nounSaid[++nounSaidCnt] TREE_OBJ
	)
	
	(if(Said('*/saw[<rusty]>'))
	   = nounSaid[++nounSaidCnt] SAW_OBJ
	)

	(if(Said('*/ground[<hard]>'))
	   = nounSaid[++nounSaidCnt] GROUND_OBJ
	)
	
	(if(Said('*/shovel[<garden]>'))
	   = nounSaid[++nounSaidCnt] SHOVEL_OBJ
	)
	
	(if(Said('*/bird[<song]>'))	
	   = nounSaid[++nounSaidCnt] BIRD_OBJ
	)
	
	(if(Said('*/house[<brown]>'))	
	   = nounSaid[++nounSaidCnt] HOUSE_OBJ
	)
	
	(if(Said('*/door[<front]>'))
	   = nounSaid[++nounSaidCnt] DOOR_OBJ
	)
	
	(if(Said('*/key[<silver]>'))
	   = nounSaid[++nounSaidCnt] KEY_OBJ
	)
	
	(if(Said('*/window[<left]>'))
	   = nounSaid[++nounSaidCnt] LEFT_WINDOW_OBJ
	)

	(if(Said('*/window[<center]>'))	
	   = nounSaid[++nounSaidCnt] CENTER_WINDOW_OBJ
	)

 	(if(Said('*/window[<right]>'))
	   = nounSaid[++nounSaidCnt] RIGHT_WINDOW_OBJ
	)
 
	(if(Said('*/rock[<small]>'))
	   = nounSaid[++nounSaidCnt] SMALL_ROCK_OBJ
	)

	(if(Said('*/rock[<large]>'))
	   = nounSaid[++nounSaidCnt] LARGE_ROCK_OBJ
	)
 
	(if(Said('*/rock[<giant]>'))
	   = nounSaid[++nounSaidCnt] GIANT_ROCK_OBJ
	)
)
/******************************************************************************/
