/******************************************************************************
 ParseSecond.sc
 Contains parse strings for (second) nouns, broken into two sections,
 representing the last 2 parts of an input 'sentence' - second & second
 ******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script PARSESECOND_SCRIPT)

(use "main")
(use "controls")
/******************************************************************************/
(procedure public (ParseSecond) 
    = secondSaidCnt UNSET
    
    (if(Said('*/*/tree[<(tall,dark)]>'))
	   = secondSaid[++secondSaidCnt] TREE_OBJ	
	)
	
	(if(Said('*/*/saw[<rusty]>'))
	   = secondSaid[++secondSaidCnt] SAW_OBJ	
	)
	
	(if(Said('*/*/ground[<hard]>'))
	   = secondSaid[++secondSaidCnt] GROUND_OBJ	
	)
	
	(if(Said('*/*/shovel[<garden]>'))
	   = secondSaid[++secondSaidCnt] SHOVEL_OBJ	
	)
	
	(if(Said('*/*/bird[<song]>'))
	   = secondSaid[++secondSaidCnt] BIRD_OBJ	
	)
	
	(if(Said('*/*/house[<brown]>'))
	   = secondSaid[++secondSaidCnt] HOUSE_OBJ	
	)
	
	(if(Said('*/*/door[<front]>'))
	   = secondSaid[++secondSaidCnt] DOOR_OBJ	
	)
	
	(if(Said('*/*/key[<silver]>'))
	   = secondSaid[++secondSaidCnt] KEY_OBJ
	)
	
	(if(Said('*/*/window[<left]>'))
	   = secondSaid[++secondSaidCnt] LEFT_WINDOW_OBJ	
	)

	(if(Said('*/*/window[<center]>'))
	   = secondSaid[++secondSaidCnt] CENTER_WINDOW_OBJ
	)
	
	(if(Said('*/*/window[<right]>'))
	   = secondSaid[++secondSaidCnt] RIGHT_WINDOW_OBJ
	)
 
	(if(Said('*/*/rock[<small]>'))
	   = secondSaid[++secondSaidCnt] SMALL_ROCK_OBJ
	)

	(if(Said('*/*/rock[<large]>'))
	   = secondSaid[++secondSaidCnt] LARGE_ROCK_OBJ
	)

	(if(Said('*/*/rock[<giant]>'))
	   = secondSaid[++secondSaidCnt] GIANT_ROCK_OBJ
	)
)
/******************************************************************************/
