/******************************************************************************
 LookAction.sc
 ******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script LOOKACTION_SCRIPT)

(use "main")
(use "controls")
/******************************************************************************/
(procedure public (LookAction) 

	(if (== noun HOUSE_OBJ)  
	    Print("Yep, that's a brown house.")
	    return
	)
	
	(if (== noun TREE_OBJ)
	    Print("A tall, dark tree looms here.")	
	    return
	)
	
	(if (== noun GROUND_OBJ)
	    Print("Weeds are in abundance here.")
	    return	
	)
	
	(if (== noun SHOVEL_OBJ)
	    Print("It's got a handle-end and a business-end. Where's mother?")	
	    return
	)
	
	(if (== noun BIRD_OBJ)
	    Print("The bird is perched in one of the highest branches.")
	    return	
	)
	
	(if (== noun DOOR_OBJ)
	    Print("The front door is closed.")
	    return
	)
	
	(if (== noun KEY_OBJ)
	    Print("It's silver in color.  I wonder if it unlocks the house door?")
	    return
	)
	
	(if (== noun LEFT_WINDOW_OBJ)
	    Print("It's the window on the left")
	    return	
	)

	(if (== noun CENTER_WINDOW_OBJ)
	    Print("It's the window in the center")
	    return
	)
	
	(if (== noun RIGHT_WINDOW_OBJ)
	    Print("It's the window on the right")
	    return	
	)
 
	(if (== noun SMALL_ROCK_OBJ)
	    Print("It's small.  More like a pebble, actually.")
	    return
	)

	(if (== noun LARGE_ROCK_OBJ)
	    Print("It's a large rock.")
	    return
	)

	(if (== noun GIANT_ROCK_OBJ)
	    Print("It's a giant rock!")
	    return

 )
    (if (== gRoomNumber HOUSE_ROOM)
    	Print("A large brown house, with a large bay window is here.  The house is pretty run-down & could definitely use a new paint job.")
    	return
	)
	
	(if (== gRoomNumber TREE_ROOM)
		Print("There is a large tree here along with an abundance of surrounding vegetation.")
		return
	)
	
	// default print statement, actually shouldn't get here
    Print("It's really non-descript.")
)
