/******************************************************************************
 RobustParse.sc
 ******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script ROBUSTPARSE_SCRIPT)

(use "main")
(use "controls")
(use "ParseVerb")
(use "ParseNoun")
(use "ParseSecond")
(use "RobustPragmaFail")
(use "CallAction")
(use "ValidateNouns")
(use "GetObjDescrip")
/******************************************************************************/
(procedure public (RobustParse) 

	    ParseVerb()
        DisposeScript(PARSEVERB_SCRIPT)
       
        ParseNoun()
        DisposeScript(PARSENOUN_SCRIPT)

	 	ParseSecond()
        DisposeScript(PARSESECOND_SCRIPT)

        getFullObjDescs(@inputStr)

     //   FormatPrint("verbDescrip = %s" @verbDescrip)
 /*
        FormatPrint("nounDescrip = %s" @nounDescrip)
        FormatPrint("secondDescrip = %s" @secondDescrip)
 */
        

		(if(not(RobustPragmaFail()) and ValidateNouns())
			DisposeScript(ROBUSTPRAGMAFAIL_SCRIPT)
			DisposeScript(VALIDATENOUNS_SCRIPT)
			CallAction()
			DisposeScript(CALLACTION_SCRIPT)
	    )

	    // Call dispose on these again because we may not have evaluted true for prior 'if'
		DisposeScript(ROBUSTPRAGMAFAIL_SCRIPT)
		DisposeScript(VALIDATENOUNS_SCRIPT)
		
	//  For debugging:	FormatPrint("verb = %d, noun = %d, second = %d" Verb noun second)
)
